org.apache.avro.ipc.stats

## Class StatsServlet.RenderableMessage

- java.lang.Object
- - org.apache.avro.ipc.stats.StatsServlet.RenderableMessage

- Enclosing class:
    StatsServlet

      public class StatsServlet.RenderableMessage
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ArrayList<HashMap<String,String>>` | `charts`
    `String` | `name`
    `int` | `numCalls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderableMessage(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<HashMap<String,String>>` | `getCharts()`
    `String` | `getname()`
    `int` | `getNumCalls()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### numCalls

          public int numCalls

    - #### charts

          public ArrayList<HashMap<String,String>> charts

  - ### Constructor Detail

    - #### RenderableMessage

          public RenderableMessage(String name)

  - ### Method Detail

    - #### getCharts

          public ArrayList<HashMap<String,String>> getCharts()

    - #### getname

          public String getname()

    - #### getNumCalls

          public int getNumCalls()

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.